
<?php


if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


register_setting( 'af-wc-daps-calendar-style-settings-group', 'af_wc_daps_calendar_style_settings' );
add_settings_section( 'af-wc-daps-calendar-style-section', '', '', 'af-wc-daps-calendar-style-settings' );

add_settings_field( 'af_wc_daps_admin_calendar_theme', __('Admin Calendar Theme', 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_admin_calendar_theme_callback' , 'af-wc-daps-calendar-style-settings', 'af-wc-daps-calendar-style-section' );
add_settings_field( 'af_wc_daps_front_calendar_theme', __('Front Calendar Theme', 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_front_calendar_theme_callback' , 'af-wc-daps-calendar-style-settings', 'af-wc-daps-calendar-style-section' );


add_settings_field( 'af_wc_daps_available_dates_background_color', __('Available Dates Background Color', 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_available_dates_background_color_callback' , 'af-wc-daps-calendar-style-settings', 'af-wc-daps-calendar-style-section' );
add_settings_field( 'af_wc_daps_available_dates_text_color', __('Available Dates Text Color', 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_available_dates_text_color_callback' , 'af-wc-daps-calendar-style-settings', 'af-wc-daps-calendar-style-section' );

add_settings_field( 'af_wc_daps_holiday_dates_background_color', __('Holiday Dates Background Color', 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_holiday_dates_background_color_callback' , 'af-wc-daps-calendar-style-settings', 'af-wc-daps-calendar-style-section' );
add_settings_field( 'af_wc_daps_holiday_dates_text_color', __('Holiday Dates Text Color', 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_holiday_dates_text_color_callback' , 'af-wc-daps-calendar-style-settings', 'af-wc-daps-calendar-style-section' );

add_settings_field( 'af_wc_daps_special_dates_background_color', __('Special Dates Background Color', 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_special_dates_background_color_callback' , 'af-wc-daps-calendar-style-settings', 'af-wc-daps-calendar-style-section' );
add_settings_field( 'af_wc_daps_special_dates_text_color', __('Specical Dates Text Color', 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_special_dates_text_color_callback' , 'af-wc-daps-calendar-style-settings', 'af-wc-daps-calendar-style-section' );

add_settings_field( 'af_wc_daps_disabled_dates_background_color', __('Disabled Dates Background Color', 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_disabled_dates_background_color_callback' , 'af-wc-daps-calendar-style-settings', 'af-wc-daps-calendar-style-section' );
add_settings_field( 'af_wc_daps_disabled_dates_text_color', __('Disabled Dates Text Color', 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_disabled_dates_text_color_callback' , 'af-wc-daps-calendar-style-settings', 'af-wc-daps-calendar-style-section' );


function af_wc_daps_admin_calendar_theme_callback() {
	$options                    = get_option( 'af_wc_daps_calendar_style_settings' );
	$value                      = isset( $options['af_wc_daps_admin_calendar_theme'] ) ? esc_attr( $options['af_wc_daps_admin_calendar_theme'] ) : '';
	$af_wc_daps_calendar_themes = array(
		'Base Theme'     => 'base',
		'Black Tie'      => 'black-tie',
		'Blitzer'        => 'blitzer',
		'Cupertino'      => 'cupertino',
		'Dark Hive'      => 'dark-hive',
		'Dot Luv'        => 'dot-luv',
		'Eggplant'       => 'eggplant',
		'Excite Bike'    => 'excite-bike',
		'Flick'          => 'flick',
		'Hot Sneaks'     => 'hot-sneaks',
		'Humanity'       => 'humanity',
		'Le Frog'        => 'le-frog',
		'Mint Choc'      => 'mint-choc',
		'Overcast'       => 'overcast',
		'Pepper Grinder' => 'pepper-grinder',
		'Redmond'        => 'redmond',
		'Smoothness'     => 'smoothness',
		'South Street'   => 'south-street',
		'Start'          => 'start',
		'Sunny'          => 'sunny',
		'Swanky Purse'   => 'swanky-purse',
		'Trontastic'     => 'trontastic',
		'UI Darkness'    => 'ui-darkness',
		'UI Lightness'   => 'ui-lightness',
		'Vader'          => 'vader',
	);

	echo "<select class='af_wc_daps_select_box' name='af_wc_daps_calendar_style_settings[af_wc_daps_admin_calendar_theme]'>";
	foreach ( $af_wc_daps_calendar_themes as $theme_label => $theme_value ) {
		echo "<option value='" . esc_html( $theme_value ) . "' " . selected( $value, $theme_value, false ) . '>' . esc_html( $theme_label ) . '</option>';
	}
	echo '</select>';
	echo '<p class=description>' . esc_html__('Choose calendar theme for admin side.', 'ka-order-delivery-date-and-time-scheduler') . '</p>';
}

function af_wc_daps_front_calendar_theme_callback() {
	$options                    = get_option( 'af_wc_daps_calendar_style_settings' );
	$value                      = isset( $options['af_wc_daps_front_calendar_theme'] ) ? esc_attr( $options['af_wc_daps_front_calendar_theme'] ) : '';
	$af_wc_daps_calendar_themes = array(
		'Base Theme'     => 'base',
		'Black Tie'      => 'black-tie',
		'Blitzer'        => 'blitzer',
		'Cupertino'      => 'cupertino',
		'Dark Hive'      => 'dark-hive',
		'Dot Luv'        => 'dot-luv',
		'Eggplant'       => 'eggplant',
		'Excite Bike'    => 'excite-bike',
		'Flick'          => 'flick',
		'Hot Sneaks'     => 'hot-sneaks',
		'Humanity'       => 'humanity',
		'Le Frog'        => 'le-frog',
		'Mint Choc'      => 'mint-choc',
		'Overcast'       => 'overcast',
		'Pepper Grinder' => 'pepper-grinder',
		'Redmond'        => 'redmond',
		'Smoothness'     => 'smoothness',
		'South Street'   => 'south-street',
		'Start'          => 'start',
		'Sunny'          => 'sunny',
		'Swanky Purse'   => 'swanky-purse',
		'Trontastic'     => 'trontastic',
		'UI Darkness'    => 'ui-darkness',
		'UI Lightness'   => 'ui-lightness',
		'Vader'          => 'vader',
	);
	echo "<select class='af_wc_daps_select_box' name='af_wc_daps_calendar_style_settings[af_wc_daps_front_calendar_theme]'>";
	foreach ( $af_wc_daps_calendar_themes as $theme_label => $theme_value ) {
		echo "<option value='" . esc_html( $theme_value ) . "' " . selected( $value, $theme_value, false ) . '>' . esc_html( $theme_label ) . '</option>';
	}
	echo '</select>';
	echo '<p class=description>' . esc_html__('Choose calendar theme for front side.', 'ka-order-delivery-date-and-time-scheduler') . '</p>';
}


function af_wc_daps_available_dates_background_color_callback() {
	$options = get_option( 'af_wc_daps_calendar_style_settings' );
	$value   = isset( $options['af_wc_daps_available_dates_background_color'] ) ? esc_attr( $options['af_wc_daps_available_dates_background_color'] ) : '#00cc66';
	echo '<input type="color" name="af_wc_daps_calendar_style_settings[af_wc_daps_available_dates_background_color]" value="' . esc_attr($value) . '">';
	echo '<p class=description>' . esc_html__('Choose available dates background color.', 'ka-order-delivery-date-and-time-scheduler') . '</p>';
}

function af_wc_daps_holiday_dates_background_color_callback() {
	$options = get_option( 'af_wc_daps_calendar_style_settings' );
	$value   = isset( $options['af_wc_daps_holiday_dates_background_color'] ) ? esc_attr( $options['af_wc_daps_holiday_dates_background_color'] ) : '#88CEAB';
	echo '<input type="color" name="af_wc_daps_calendar_style_settings[af_wc_daps_holiday_dates_background_color]" value="' . esc_attr($value) . '">';
	echo '<p class=description>' . esc_html__('Choose holiday dates background color.', 'ka-order-delivery-date-and-time-scheduler') . '</p>';
}


function af_wc_daps_special_dates_background_color_callback() {
	$options = get_option( 'af_wc_daps_calendar_style_settings' );
	$value   = isset( $options['af_wc_daps_special_dates_background_color'] ) ? esc_attr( $options['af_wc_daps_special_dates_background_color'] ) : '#C23E05';
	echo '<input type="color" name="af_wc_daps_calendar_style_settings[af_wc_daps_special_dates_background_color]" value="' . esc_attr($value) . '">';
	echo '<p class=description>' . esc_html__('Choose special dates background color.', 'ka-order-delivery-date-and-time-scheduler') . '</p>';
}

function af_wc_daps_disabled_dates_background_color_callback() {
	$options = get_option( 'af_wc_daps_calendar_style_settings' );
	$value   = isset( $options['af_wc_daps_disabled_dates_background_color'] ) ? esc_attr( $options['af_wc_daps_disabled_dates_background_color'] ) : '#D0D0E1';
	echo '<input type="color" name="af_wc_daps_calendar_style_settings[af_wc_daps_disabled_dates_background_color]" value="' . esc_attr($value) . '">';
	echo '<p class=description>' . esc_html('Choose disabled dates background color.', 'ka-order-delivery-date-and-time-scheduler') . '</p>';
}

function af_wc_daps_available_dates_text_color_callback() {
	$options = get_option( 'af_wc_daps_calendar_style_settings' );
	$value   = isset( $options['af_wc_daps_available_dates_text_color'] ) ? esc_attr( $options['af_wc_daps_available_dates_text_color'] ) : '#FFFFFF';
	echo '<input type="color" name="af_wc_daps_calendar_style_settings[af_wc_daps_available_dates_text_color]" value="' . esc_attr($value) . '">';
	echo '<p class=description>' . esc_html('Choose available dates text color.', 'ka-order-delivery-date-and-time-scheduler') . '</p>';
}

function af_wc_daps_holiday_dates_text_color_callback() {
	$options = get_option( 'af_wc_daps_calendar_style_settings' );
	$value   = isset( $options['af_wc_daps_holiday_dates_text_color'] ) ? esc_attr( $options['af_wc_daps_holiday_dates_text_color'] ) : '#FFFFFF';
	echo '<input type="color" name="af_wc_daps_calendar_style_settings[af_wc_daps_holiday_dates_text_color]" value="' . esc_attr($value) . '">';
	echo '<p class=description>' . esc_html('Choose holiday dates text color.', 'ka-order-delivery-date-and-time-scheduler') . '</p>';
}


function af_wc_daps_special_dates_text_color_callback() {
	$options = get_option( 'af_wc_daps_calendar_style_settings' );
	$value   = isset( $options['af_wc_daps_special_dates_text_color'] ) ? esc_attr( $options['af_wc_daps_special_dates_text_color'] ) : '#FFFFFF';
	echo '<input type="color" name="af_wc_daps_calendar_style_settings[af_wc_daps_special_dates_text_color]" value="' . esc_attr($value) . '">';
	echo '<p class=description>' . esc_html__('Choose special dates text color.', 'ka-order-delivery-date-and-time-scheduler') . '</p>';
}

function af_wc_daps_disabled_dates_text_color_callback() {
	$options = get_option( 'af_wc_daps_calendar_style_settings' );
	$value   = isset( $options['af_wc_daps_disabled_dates_text_color'] ) ? esc_attr( $options['af_wc_daps_disabled_dates_text_color'] ) : '#FFFFFF';
	echo '<input type="color" name="af_wc_daps_calendar_style_settings[af_wc_daps_disabled_dates_text_color]" value="' . esc_attr($value) . '">';
	echo '<p class=description>' . esc_html__('Choose disabled dates text color.', 'ka-order-delivery-date-and-time-scheduler') . '</p>';
}
