
<?php


if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


register_setting( 'af-wc-daps-expected-info-style-settings-group', 'af_wc_daps_expected_info_style_settings' );
add_settings_section( 'af-wc-daps-expected-info-style-section', '', '', 'af-wc-daps-expected-info-style-settings' );

add_settings_field( 'af_wc_daps_enable_icon_for_expected_date_info', __('Enable Icon', 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_enable_icon_for_expected_date_info_callback' , 'af-wc-daps-expected-info-style-settings', 'af-wc-daps-expected-info-style-section' );
add_settings_field( 'af_wc_daps_icon_for_expected_date_info', __('Upload Icon' , 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_icon_for_expected_date_info_callback' , 'af-wc-daps-expected-info-style-settings', 'af-wc-daps-expected-info-style-section' );
add_settings_field( 'af_wc_daps_icon_width_expected_date_info', __('Icon Width' , 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_icon_width_expected_date_info_callback' , 'af-wc-daps-expected-info-style-settings', 'af-wc-daps-expected-info-style-section' );

add_settings_field( 'af_wc_daps_bg_color_of_expected_date_container', __('Background Color' , 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_bg_color_of_expected_date_container_callback' , 'af-wc-daps-expected-info-style-settings', 'af-wc-daps-expected-info-style-section' );
add_settings_field( 'af_wc_daps_text_color_of_expected_date_container', __('Text Color' , 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_text_color_of_expected_date_container_callback' , 'af-wc-daps-expected-info-style-settings', 'af-wc-daps-expected-info-style-section' );





function af_wc_daps_enable_icon_for_expected_date_info_callback() {
	$options = get_option( 'af_wc_daps_expected_info_style_settings' );
	$value   = isset( $options['af_wc_daps_enable_icon_for_expected_date_info'] ) ? esc_attr( $options['af_wc_daps_enable_icon_for_expected_date_info'] ) : '';
	echo "<label><input type='checkbox' class='af_wc_daps_enable_icon_for_expected_date' name='af_wc_daps_expected_info_style_settings[af_wc_daps_enable_icon_for_expected_date_info]' value='1' " . checked( '1', $value, false ) . '></label>';
	echo '<p class=description>' . esc_html__( 'Check this to enable icon for expected date text.', 'ka-order-delivery-date-and-time-scheduler' ) . '</p>';
}

function af_wc_daps_icon_for_expected_date_info_callback() { 
	$options      = get_option( 'af_wc_daps_expected_info_style_settings' );
	$image        = isset( $options['af_wc_daps_icon_for_expected_date_info'] ) ? esc_attr( $options['af_wc_daps_icon_for_expected_date_info'] ) : '';
	$display_type = '';
	if ('' == $image) {
		$display_type = 'none';
	}
	?>
	<div id='af_wc_daps_icon_for_expected_date_info' class='expected_info_fields'>
		<div > 
			<span id="af_wc_daps_selected_image_display" width="50" height="50" style="display:<?php echo esc_attr($display_type); ?>; background-image: url('<?php echo esc_url( $image ); ?>');"></span>							
		</div>		
		<input type="hidden" value="<?php echo esc_url( $image ); ?>" name="af_wc_daps_expected_info_style_settings[af_wc_daps_icon_for_expected_date_info]" id="af_wc_daps_template_icon">
		<input  type="button"  id="upload-image-btn" class="button-secondary" value="<?php echo esc_html__( 'Upload Icon', 'ka-order-delivery-date-and-time-scheduler' ); ?>">
		<input type="button"  id="remove_image_upload" style="height: 30px;" value="<?php echo esc_html__( 'Remove Icon', 'ka-order-delivery-date-and-time-scheduler' ); ?>" > 		
		<p class="description"> <?php echo esc_html__( 'Upload the icon for template. Leave it blank to use default icon.', 'ka-order-delivery-date-and-time-scheduler' ) ; ?> </p>
	</div>
	<?php      
}

function af_wc_daps_icon_width_expected_date_info_callback() {
	$options = get_option( 'af_wc_daps_expected_info_style_settings' );
	$value   = isset( $options['af_wc_daps_icon_width_expected_date_info'] ) ? esc_attr( $options['af_wc_daps_icon_width_expected_date_info'] ) : '';
	echo "<input type='number' name='af_wc_daps_expected_info_style_settings[af_wc_daps_icon_width_expected_date_info]' class='expected_info_fields' value=" . esc_attr($value) . ' />px';
	echo '<p class=description>' . esc_html__( 'Enter width of icon in pixels. Leave it blank to use default width.', 'ka-order-delivery-date-and-time-scheduler' ) . '</p>';
}



function af_wc_daps_bg_color_of_expected_date_container_callback() {
	$options = get_option( 'af_wc_daps_expected_info_style_settings' );
	$value   = isset( $options['af_wc_daps_bg_color_of_expected_date_container'] ) ? esc_attr( $options['af_wc_daps_bg_color_of_expected_date_container'] ) : '#FFFFFF';
	echo '<input type="color" name="af_wc_daps_expected_info_style_settings[af_wc_daps_bg_color_of_expected_date_container]" value="' . esc_attr($value) . '">';
	echo '<p class=description>' . esc_html__('Choose background color of expected date information container.', 'ka-order-delivery-date-and-time-scheduler') . '</p>';
}

function af_wc_daps_text_color_of_expected_date_container_callback() {
	$options = get_option( 'af_wc_daps_expected_info_style_settings' );
	$value   = isset( $options['af_wc_daps_text_color_of_expected_date_container'] ) ? esc_attr( $options['af_wc_daps_text_color_of_expected_date_container'] ) : '#FFFFFF';
	echo '<input type="color" name="af_wc_daps_expected_info_style_settings[af_wc_daps_text_color_of_expected_date_container]" value="' . esc_attr($value) . '">';
	echo '<p class=description>' . esc_html__('Choose text color of expected date information.', 'ka-order-delivery-date-and-time-scheduler') . '</p>';
}





