
<?php


if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


register_setting( 'af-wc-daps-general-settings-group', 'af_wc_daps_general_settings' );
add_settings_section( 'af-wc-daps-general-section', '', '', 'af-wc-daps-general-settings' );

add_settings_field( 'af_wc_daps_enable_at_single_product_page', __('Enable Product Delivery and Time Slot', 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_enable_at_single_product_page_callback' , 'af-wc-daps-general-settings', 'af-wc-daps-general-section' );
add_settings_field( 'af_wc_daps_enable_at_checkout_page', __('Enable Order Delivery and Time Slot', 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_enable_at_checkout_page_callback' , 'af-wc-daps-general-settings', 'af-wc-daps-general-section' );
add_settings_field( 'af_wc_daps_delivery_info_field_position', __('Display Position', 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_delivery_info_field_position_callback' , 'af-wc-daps-general-settings', 'af-wc-daps-general-section' );
add_settings_field( 'af_wc_daps_mandatory_product_delivery_field', __('Force Users to Select a Delivery Date (product page)', 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_mandatory_product_delivery_field_callback' , 'af-wc-daps-general-settings', 'af-wc-daps-general-section' );
add_settings_field( 'af_wc_daps_mandatory_order_delivery_field', __('Force Users to Select a Delivery Date (checkout page)', 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_mandatory_order_delivery_field_callback' , 'af-wc-daps-general-settings', 'af-wc-daps-general-section' );

add_settings_field( 'af_wc_daps_mandatory_product_timeslot_field', __('Force Users to Select a Time Slot (product page)', 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_mandatory_product_timeslot_field_callback' , 'af-wc-daps-general-settings', 'af-wc-daps-general-section' );
add_settings_field( 'af_wc_daps_mandatory_order_timeslot_field', __('Force Users to Select a Time Slot (checkout page)', 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_mandatory_order_timeslot_field_callback' , 'af-wc-daps-general-settings', 'af-wc-daps-general-section' );


add_settings_field( 'af_wc_daps_is_taxable', __('Calculate Tax', 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_is_taxable_callback' , 'af-wc-daps-general-settings', 'af-wc-daps-general-section' );



function af_wc_daps_enable_at_single_product_page_callback() {
	$options = get_option( 'af_wc_daps_general_settings' );
	$value   = isset( $options['af_wc_daps_enable_at_single_product_page'] ) ? esc_attr( $options['af_wc_daps_enable_at_single_product_page'] ) : '';
	echo "<label><input type='checkbox' name='af_wc_daps_general_settings[af_wc_daps_enable_at_single_product_page]' value='1' " . checked( '1', $value, false ) . '></label>';
	echo '<p class=description>' . esc_html__( 'Check this to enable delivery date selection at single product page.', 'ka-order-delivery-date-and-time-scheduler' ) . '</p>';
}

function af_wc_daps_enable_at_checkout_page_callback() {
	$options = get_option( 'af_wc_daps_general_settings' );
	$value   = isset( $options['af_wc_daps_enable_at_checkout_page'] ) ? esc_attr( $options['af_wc_daps_enable_at_checkout_page'] ) : '';
	echo "<label><input type='checkbox' name='af_wc_daps_general_settings[af_wc_daps_enable_at_checkout_page]' value='1' " . checked( '1', $value, false ) . '></label>';
	echo '<p class=description>' . esc_html__('Check this to enable delivery date selection at checkout page.', 'ka-order-delivery-date-and-time-scheduler') . '</p>';
}

function af_wc_daps_delivery_info_field_position_callback() {
	$options                            = get_option( 'af_wc_daps_general_settings' );
	$value                              = isset( $options['af_wc_daps_delivery_info_field_position'] ) ? esc_attr( $options['af_wc_daps_delivery_info_field_position'] ) : '';
	$af_wc_daps_checkout_position_hooks = array(
		'Before Checkout Customer Details' => 'woocommerce_checkout_before_customer_details',
		'Before Checkout Billing Form'     => 'woocommerce_before_checkout_billing_form',
		'After Checkout Billing Form'      => 'woocommerce_after_checkout_billing_form',
		'Before Order Notes'               => 'woocommerce_before_order_notes',
		'After Order Notes'                => 'woocommerce_after_order_notes',
	);
	echo "<select class='af_wc_daps_select_box' name='af_wc_daps_general_settings[af_wc_daps_delivery_info_field_position]'>";
	foreach ( $af_wc_daps_checkout_position_hooks as $checkout_label => $checkout_value ) {
		echo "<option value='" . esc_html( $checkout_value ) . "' " . selected( $value, $checkout_value, false ) . '>' . esc_html( $checkout_label ) . '</option>';
	}
	echo '</select>';
	echo '<p class=description>' . esc_html__('Choose position of delivery info fields / expected date text on checkout page.', 'ka-order-delivery-date-and-time-scheduler') . '</p>';
}


function af_wc_daps_is_taxable_callback() {
	$options = get_option( 'af_wc_daps_general_settings' );
	$value   = isset( $options['af_wc_daps_is_taxable'] ) ? esc_attr( $options['af_wc_daps_is_taxable'] ) : '';
	echo "<label><input type='checkbox' name='af_wc_daps_general_settings[af_wc_daps_is_taxable]' value='1' " . checked( '1', $value, false ) . '></label>';
	echo '<p class=description>' . esc_html__( 'Check this to enable tax calculation on delivery fee.', 'ka-order-delivery-date-and-time-scheduler' ) . '</p>';
}

function af_wc_daps_mandatory_product_delivery_field_callback() {
	$options = get_option( 'af_wc_daps_general_settings' );
	$value   = isset( $options['af_wc_daps_mandatory_product_delivery_field'] ) ? esc_attr( $options['af_wc_daps_mandatory_product_delivery_field'] ) : '';
	echo "<label><input type='checkbox' name='af_wc_daps_general_settings[af_wc_daps_mandatory_product_delivery_field]' value='1' " . checked( '1', $value, false ) . '></label>';
	echo '<p class=description>' . esc_html__( 'Check this to make delivery date field mandatory on product page.', 'ka-order-delivery-date-and-time-scheduler' ) . '</p>';
}

function af_wc_daps_mandatory_order_delivery_field_callback() {
	$options = get_option( 'af_wc_daps_general_settings' );
	$value   = isset( $options['af_wc_daps_mandatory_order_delivery_field'] ) ? esc_attr( $options['af_wc_daps_mandatory_order_delivery_field'] ) : '';
	echo "<label><input type='checkbox' name='af_wc_daps_general_settings[af_wc_daps_mandatory_order_delivery_field]' value='1' " . checked( '1', $value, false ) . '></label>';
	echo '<p class=description>' . esc_html__( 'Check this to make delivery date field mandatory on checkout page.', 'ka-order-delivery-date-and-time-scheduler' ) . '</p>';
}

function af_wc_daps_mandatory_product_timeslot_field_callback() {
	$options = get_option( 'af_wc_daps_general_settings' );
	$value   = isset( $options['af_wc_daps_mandatory_product_timeslot_field'] ) ? esc_attr( $options['af_wc_daps_mandatory_product_timeslot_field'] ) : '';
	echo "<label><input type='checkbox' name='af_wc_daps_general_settings[af_wc_daps_mandatory_product_timeslot_field]' value='1' " . checked( '1', $value, false ) . '></label>';
	echo '<p class=description>' . esc_html__( 'Check this to make time slot field mandatory on product page.', 'ka-order-delivery-date-and-time-scheduler' ) . '</p>';
}

function af_wc_daps_mandatory_order_timeslot_field_callback() {
	$options = get_option( 'af_wc_daps_general_settings' );
	$value   = isset( $options['af_wc_daps_mandatory_order_timeslot_field'] ) ? esc_attr( $options['af_wc_daps_mandatory_order_timeslot_field'] ) : '';
	echo "<label><input type='checkbox' name='af_wc_daps_general_settings[af_wc_daps_mandatory_order_timeslot_field]' value='1' " . checked( '1', $value, false ) . '></label>';
	echo '<p class=description>' . esc_html__( 'Check this to make time slot field mandatory on checkout page.', 'ka-order-delivery-date-and-time-scheduler' ) . '</p>';
}
