
<?php


if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


register_setting( 'af-wc-daps-label-settings-group', 'af_wc_daps_label_settings' );
add_settings_section( 'af-wc-daps-label-section', '', '', 'af-wc-daps-label-settings' );

add_settings_field( 'af_wc_daps_enable_delivery_date_label', __('Enable Delivery Date', 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_enable_delivery_date_label_callback' , 'af-wc-daps-label-settings', 'af-wc-daps-label-section' );
add_settings_field( 'af_wc_daps_delivery_date_label', __('Delivery Date', 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_delivery_date_label_callback' , 'af-wc-daps-label-settings', 'af-wc-daps-label-section' );
add_settings_field( 'af_wc_daps_time_slot_label', __('Time Slot', 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_time_slot_label_callback' , 'af-wc-daps-label-settings', 'af-wc-daps-label-section' );
add_settings_field( 'af_wc_daps_delivery_fee_label', __('Delivery Fee', 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_delivery_fee_label_callback' , 'af-wc-daps-label-settings', 'af-wc-daps-label-section' );

add_settings_field( 'af_wc_daps_available_date_hover_text', __('Available Date Text', 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_available_date_hover_text_callback' , 'af-wc-daps-label-settings', 'af-wc-daps-label-section' );
add_settings_field( 'af_wc_daps_special_date_hover_text', __('Special Date Text', 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_special_date_hover_text_callback' , 'af-wc-daps-label-settings', 'af-wc-daps-label-section' );


add_settings_field( 'af_wc_daps_product_delivery_date_msg', __('Mandatory Delivery Date Message (product page)', 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_product_delivery_date_msg_callback' , 'af-wc-daps-label-settings', 'af-wc-daps-label-section' );
add_settings_field( 'af_wc_daps_product_timeslot_msg', __('Mandatory Time Slot Message (product page)', 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_product_timeslot_msg_callback' , 'af-wc-daps-label-settings', 'af-wc-daps-label-section' );
add_settings_field( 'af_wc_daps_order_delivery_date_msg', __('Mandatory Delivery Date Message (checkout page)', 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_order_delivery_date_msg_callback' , 'af-wc-daps-label-settings', 'af-wc-daps-label-section' );
add_settings_field( 'af_wc_daps_order_timeslot_msg', __('Mandatory Time Slot Message (checkout page)', 'ka-order-delivery-date-and-time-scheduler'), 'af_wc_daps_order_timeslot_msg_callback' , 'af-wc-daps-label-settings', 'af-wc-daps-label-section' );



function af_wc_daps_enable_delivery_date_label_callback() {
	$options = get_option( 'af_wc_daps_label_settings' );
	$value   = isset( $options['af_wc_daps_enable_delivery_date_label'] ) ? esc_attr( $options['af_wc_daps_enable_delivery_date_label'] ) : '';
	echo "<label><input type='text' name='af_wc_daps_label_settings[af_wc_daps_enable_delivery_date_label]' value='" . esc_attr($value) . "' ></label>";
	echo '<p class=description>' . esc_html__( 'Customize label for enable delivery date field. If left blank default label "Enable Delivery Date Selection" will be used.', 'ka-order-delivery-date-and-time-scheduler' ) . '</p>';
}

function af_wc_daps_delivery_date_label_callback() {
	$options = get_option( 'af_wc_daps_label_settings' );
	$value   = isset( $options['af_wc_daps_delivery_date_label'] ) ? esc_attr( $options['af_wc_daps_delivery_date_label'] ) : '';
	echo "<label><input type='text' name='af_wc_daps_label_settings[af_wc_daps_delivery_date_label]' value='" . esc_attr($value) . "' ></label>";
	echo '<p class=description>' . esc_html__( 'Customize label for delivery date field. If left blank default label "Delivery Date" will be used.', 'ka-order-delivery-date-and-time-scheduler' ) . '</p>';
}

function af_wc_daps_time_slot_label_callback() {
	$options = get_option( 'af_wc_daps_label_settings' );
	$value   = isset( $options['af_wc_daps_time_slot_label'] ) ? esc_attr( $options['af_wc_daps_time_slot_label'] ) : '';
	echo "<label><input type='text' name='af_wc_daps_label_settings[af_wc_daps_time_slot_label]' value='" . esc_attr($value) . "' ></label>";
	echo '<p class=description>' . esc_html__( 'Customize label for time slot field. If left blank default label "Time Slot" will be used.', 'ka-order-delivery-date-and-time-scheduler' ) . '</p>';
}


function af_wc_daps_delivery_fee_label_callback() {
	$options = get_option( 'af_wc_daps_label_settings' );
	$value   = isset( $options['af_wc_daps_delivery_fee_label'] ) ? esc_attr( $options['af_wc_daps_delivery_fee_label'] ) : '';
	echo "<label><input type='text' name='af_wc_daps_label_settings[af_wc_daps_delivery_fee_label]' value='" . esc_attr($value) . "' ></label>";
	echo '<p class=description>' . esc_html__( 'Customize label for delivery fee. If left blank default label "Special Delivery Charges" will be used.', 'ka-order-delivery-date-and-time-scheduler' ) . '</p>';
}

function af_wc_daps_available_date_hover_text_callback() {
	$options = get_option( 'af_wc_daps_label_settings' );
	$value   = isset( $options['af_wc_daps_available_date_hover_text'] ) ? esc_attr( $options['af_wc_daps_available_date_hover_text'] ) : '';
	echo "<label><input type='text' name='af_wc_daps_label_settings[af_wc_daps_available_date_hover_text]' value='" . esc_attr($value) . "' ></label>";
	echo '<p class=description>' . esc_html__( 'Customize label for available date text. If left blank default text "Available Date". This will be dispalyed on hover of available dates on calendar.', 'ka-order-delivery-date-and-time-scheduler' ) . '</p>';
}

function af_wc_daps_special_date_hover_text_callback() {
	$options = get_option( 'af_wc_daps_label_settings' );
	$value   = isset( $options['af_wc_daps_special_date_hover_text'] ) ? esc_attr( $options['af_wc_daps_special_date_hover_text'] ) : '';
	echo "<label><input type='text' name='af_wc_daps_label_settings[af_wc_daps_special_date_hover_text]' value='" . esc_attr($value) . "' ></label>";
	echo '<p class=description>' . esc_html__( 'Customize label for special date text. If left blank default text "Special Date". This will be dispalyed on hover of special dates on calendar.', 'ka-order-delivery-date-and-time-scheduler' ) . '</p>';
}


function af_wc_daps_product_delivery_date_msg_callback() {
	$options = get_option( 'af_wc_daps_label_settings' );
	$value   = isset( $options['af_wc_daps_product_delivery_date_msg'] ) ? esc_attr( $options['af_wc_daps_product_delivery_date_msg'] ) : '';
	echo "<label><input type='text' name='af_wc_daps_label_settings[af_wc_daps_product_delivery_date_msg]' value='" . esc_attr($value) . "' ></label>";
	echo '<p class=description>' . esc_html__( 'Customize error message for mandatory delivery date on product page. Use {product_name} for product name. If left blank default message "Please select a delivery date for {product_name}" will be used.', 'ka-order-delivery-date-and-time-scheduler' ) . '</p>';
}

function af_wc_daps_product_timeslot_msg_callback() {
	$options = get_option( 'af_wc_daps_label_settings' );
	$value   = isset( $options['af_wc_daps_product_timeslot_msg'] ) ? esc_attr( $options['af_wc_daps_product_timeslot_msg'] ) : '';
	echo "<label><input type='text' name='af_wc_daps_label_settings[af_wc_daps_product_timeslot_msg]' value='" . esc_attr($value) . "' ></label>";
	echo '<p class=description>' . esc_html__( 'Customize error message for mandatory time slot on product page. Use {product_name} for product name. If left blank default message "Please select a time slot for {product_name}" will be used.', 'ka-order-delivery-date-and-time-scheduler' ) . '</p>';
}

function af_wc_daps_order_delivery_date_msg_callback() {
	$options = get_option( 'af_wc_daps_label_settings' );
	$value   = isset( $options['af_wc_daps_order_delivery_date_msg'] ) ? esc_attr( $options['af_wc_daps_order_delivery_date_msg'] ) : '';
	echo "<label><input type='text' name='af_wc_daps_label_settings[af_wc_daps_order_delivery_date_msg]' value='" . esc_attr($value) . "' ></label>";
	echo '<p class=description>' . esc_html__( 'Customize error message for mandatory delivery date on checkout page. If left blank default message "Please select a delivery date" will be used.', 'ka-order-delivery-date-and-time-scheduler' ) . '</p>';
}

function af_wc_daps_order_timeslot_msg_callback() {
	$options = get_option( 'af_wc_daps_label_settings' );
	$value   = isset( $options['af_wc_daps_order_timeslot_msg'] ) ? esc_attr( $options['af_wc_daps_order_timeslot_msg'] ) : '';
	echo "<label><input type='text' name='af_wc_daps_label_settings[af_wc_daps_order_timeslot_msg]' value='" . esc_attr($value) . "' ></label>";
	echo '<p class=description>' . esc_html__( 'Customize error message for mandatory delivery date on checkout page. If left blank default message "Please select a delivery date" will be used.', 'ka-order-delivery-date-and-time-scheduler' ) . '</p>';
}
